ranges::v3::make_iterator_range_fn Struct Reference
Core

## Public Member Functions

template<typename I , typename S , requires = (Sentinel<S, I>())>
constexpr iterator_range< I, S > | operator() (I begin, S end) const
template<typename I , typename S , requires = (Sentinel<S, I>())>
constexpr sized_iterator_range< I, S > | operator() (I begin, S end, size_type_t< I > size) const

## Member Function Documentation

## operator()() [1/2]

template<typename I , typename S , requires = (Sentinel<S, I>())>

constexpr iterator_range<I, S> ranges::v3::make_iterator_range_fn::operator() | ( | I | begin,
|  | S | end
| ) |  | const

Returns
  `{begin, end}`

## operator()() [2/2]

template<typename I , typename S , requires = (Sentinel<S, I>())>

constexpr sized_iterator_range<I, S> ranges::v3::make_iterator_range_fn::operator() | ( | I | begin,
|  | S | end,
|  | size_type_t< I > | size
| ) |  | const

Returns
  `{begin, end, size}`